package com.jz.dmp.modules.controller.dataService.bean;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName: AuthApiListReq
 * @Description: 授权api列表请求对象
 * @Author: Bellamy
 * @Date 2021/2/20
 * @Version 1.0
 */
@Data
@ApiModel("授权api列表请求对象")
public class AuthApiListReq extends BasePageBean implements Serializable {

    @ApiModelProperty(value = "文件夹id",required = false)
    private Long fileId;
    @ApiModelProperty(value = "文件来源:,1 API制做,2 组织创建",required = false)
    private String fileSource;
    @ApiModelProperty(value = "组织编码",required = false)
    private String orgCode;
    @ApiModelProperty(value = "组织名称",required = false)
    private String orgName;
    @ApiModelProperty(value = "api名称",required = false)
    private String apiName;
    @ApiModelProperty(value = "项目id")
    private Long projectId;
}
